resource "authentik_provider_proxy" "metube" {
  name          = "Metube"
  internal_host = "http://metube.jellyfin:8081"
  external_host = "https://metube.lab.cowley.tech"

  internal_host_ssl_validation = false

  authentication_flow = data.authentik_flow.default-authentication-flow.id
  authorization_flow  = data.authentik_flow.default-provider-authorization-implicit-consent.id
  invalidation_flow   = data.authentik_flow.default-provider-invalidation-flow.id

  access_token_validity = "hours=24"
}

resource "authentik_application" "metube" {
  name = "Metube"
  slug = "metube"

  protocol_provider = authentik_provider_proxy.metube.id
}
