resource "authentik_provider_proxy" "spotizerr" {
  name          = "Spotizerr"
  internal_host = "http://spotizerr.jellyfin:7171"
  external_host = "https://spotizerr.lab.cowley.tech"

  internal_host_ssl_validation = false

  authentication_flow = data.authentik_flow.default-authentication-flow.id
  authorization_flow  = data.authentik_flow.default-provider-authorization-implicit-consent.id
  invalidation_flow   = data.authentik_flow.default-provider-invalidation-flow.id

  access_token_validity = "hours=24"
}

resource "authentik_application" "spotizerr" {
  name = "Spotizerr"
  slug = "spotizerr"

  protocol_provider = authentik_provider_proxy.spotizerr.id
}
